Bug 142075 - Setting calculation-intensive process to a nice value of 19 still leaves the system largely unresponsive.
Setting calculation-intensive process to a nice value of 19 still leaves the ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: schedutils (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 23:41 EST by Ka Lun Sze
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ka Lun Sze 2004-12-06 23:41:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Hello,
I have a Fedora Core 2 box running on a 2.4 GHz Intel Pentium(R) 4 
processor. I ssh'ed into the FC2 box and ran Crack5, which is known to
be quite calculation-intensive, with a nice value of 19; then I went
to sit in front of the same FC2 box to log into GNOME desktop. It
still took the system half an hour to display the desktop. Even after
the desktop is displayed, the application menu took another 10 minutes
to display after I click on the red hat icon. Then it took me another
30 minutes to log off. This doesn't happen when Crack5 is not running.
Shouldn't a nice value of 19 make Crack5 yield much more often to
other processes?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build and run Crack5 ("nice" it now to 19 or "renice" later)
2. If you have not nice'd Crack5 to 19 already, "renice" it in "top"
or using "renice" command.
3. Try to do anything in GNOME Desktop. Open gedit, whatever. ;)

Note: words betweet double quotes (") are commands you can use in a
terminal.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:24:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 16:55:10 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.